{% extends 'base.html' %}
{% load i18n %}
{% load static %}


{% block content %}

    {% include './includes/inc_nav_black.html' %}

    <section aria-label="{{ tour.title }}" class="py-4 px-6">
        <div class="mx-auto max-w-[840px]">

            <div class="grid  mx-auto grid-cols-3 mb-2 ">
                <div class="my-2 col-span-2 ">
                    {{ tour.title_sub|safe }}
                    <h1 class="mb-2 text-2xl  font-bold  text-gray-700 md:text-3xl lg:text-4xl">
                        {{ tour.title }}</h1>
                    <h2 class="text-xl  font-bold  text-gray-600 md:text-2xl lg:text-2xl">
                        {{ tour.header }}</h2>
                </div>
                <div class="col-span-1 justify-end mr-2 py-10 flex">
                    <div class="flex items-center justify-center">
                        <a href="#booking"
                           class=" rounded-lg px-10 py-3 text-center text-lg font-medium text-white  bg-blue-700 hover:bg-blue-800 focus:ring-blue-300 focus:ring-4">
                            {% translate 'Book now' %}
                        </a>
                    </div>

                </div>

            </div>


            <div class="grid grid-cols-3 gap-2 max-w-[840px] mx-auto mx-2 hover:cursor-pointer"
                 data-modal-target="defaultModal" data-modal-toggle="defaultModal">
                <div class="col-span-2">
                    <img src="{% static 'images/must_03.webp' %}" class="rounded-l-2xl">
                    <span class="relative z-10 bottom-10 left-5 bg-blue-100 text-blue-800 text-xs font-medium mr-2 px-2.5 py-1 rounded">See Image Gallery</span>
                </div>
                <div class="col-span-1">
                    <div class="mb-2"><img src="{% static 'images/must_06.webp' %}" class="rounded-tr-2xl"></div>
                    <div><img src="{% static 'images/must_04.webp' %}" class="rounded-br-2xl"></div>

                </div>

            </div>


            <!-- Gallery modal -->
            <div id="defaultModal" tabindex="-1" aria-hidden="true"
                 class="fixed top-0 left-0 right-0 z-50 hidden w-full p-4 overflow-x-hidden overflow-y-auto md:inset-0 h-[calc(100%-1rem)] max-h-full">
                <div class="relative w-full  max-w-3xl  max-h-full">
                    <!-- Gallery content -->

                    <div class="max-w-3xl mx-auto">
                        <div class="flex justify-end">
                            <button type="button"
                                    class="text-gray-200 bg-gray-600 rounded-lg text-sm w-8 h-8 ml-auto inline-flex justify-center items-center hover:bg-gray-900 hover:text-white"
                                    data-modal-hide="defaultModal">
                                <svg class="w-3 h-3" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none"
                                     viewBox="0 0 14 14">
                                    <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"
                                          stroke-width="2" d="m1 1 6 6m0 0 6 6M7 7l6-6M7 7l-6 6"/>
                                </svg>
                                <span class="sr-only">Close gallery</span>
                            </button>
                        </div>

                        <div id="animation-carousel" class="relative w-full " data-carousel="static">
                            <!-- Carousel wrapper -->
                            <div class="relative h-[18rem] overflow-hidden rounded-2xl md:h-[32rem]">
                                <!-- Item 1 -->
                                <div class="hidden duration-200 ease-linear" data-carousel-item="active">
                                    <img src="{% static 'images/must_03.webp' %}"
                                         class="absolute block w-full -translate-x-1/2 -translate-y-1/2 top-1/2 left-1/2"
                                         alt="...">
                                </div>
                                <!-- Item 2 -->
                                <div class="hidden duration-200 ease-linear" data-carousel-item>
                                    <img src="{% static 'images/must_04.webp' %}"
                                         class="absolute block w-full -translate-x-1/2 -translate-y-1/2 top-1/2 left-1/2"
                                         alt="...">
                                </div>
                                <!-- Item 3 -->
                                <div class="hidden duration-200 ease-linear" data-carousel-item>
                                    <img src="{% static 'images/must_06.webp' %}"
                                         class="absolute block w-full -translate-x-1/2 -translate-y-1/2 top-1/2 left-1/2"
                                         alt="...">
                                </div>

                                <!-- Item 5 -->
                                <div class="hidden duration-200 ease-linear" data-carousel-item>
                                    <img src="{% static 'images/must_04.webp' %}"
                                         class="absolute block w-full -translate-x-1/2 -translate-y-1/2 top-1/2 left-1/2"
                                         alt="...">
                                </div>
                            </div>
                            <!-- Slider controls -->
                            <button type="button"
                                    class="absolute top-0 left-0 z-30 flex items-center justify-center h-full px-4 cursor-pointer group focus:outline-none"
                                    data-carousel-prev>
        <span class="inline-flex items-center justify-center w-10 h-10 rounded-full bg-white/30 dark:bg-gray-800/30 group-hover:bg-white/50 dark:group-hover:bg-gray-800/60 group-focus:ring-4 group-focus:ring-white dark:group-focus:ring-gray-800/70 group-focus:outline-none">
            <svg class="w-4 h-4 text-white dark:text-gray-800" aria-hidden="true" xmlns="http://www.w3.org/2000/svg"
                 fill="none" viewBox="0 0 6 10">
                <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                      d="M5 1 1 5l4 4"/>
            </svg>
            <span class="sr-only">Previous</span>
        </span>
                            </button>
                            <button type="button"
                                    class="absolute top-0 right-0 z-30 flex items-center justify-center h-full px-4 cursor-pointer group focus:outline-none"
                                    data-carousel-next>
        <span class="inline-flex items-center justify-center w-10 h-10 rounded-full bg-white/30 dark:bg-gray-800/30 group-hover:bg-white/50 dark:group-hover:bg-gray-800/60 group-focus:ring-4 group-focus:ring-white dark:group-focus:ring-gray-800/70 group-focus:outline-none">
            <svg class="w-4 h-4 text-white dark:text-gray-800" aria-hidden="true" xmlns="http://www.w3.org/2000/svg"
                 fill="none" viewBox="0 0 6 10">
                <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                      d="m1 9 4-4-4-4"/>
            </svg>
            <span class="sr-only">Next</span>
        </span>
                            </button>
                        </div>


                    </div>


                </div>
            </div>
            <!--Modal end -->


            <div class="mx-4 my-6">
                <h3 class="text-lg md:text-3xl mb-4 font-bold">Highlights</h3>
                <p class="text-gray-600">{{ tour.description }}</p>
            </div>


            <div id="booking" class="p-6 grid grid-cols-2 bg-white border border-gray-200 rounded-lg shadow  justify-between ">

{#                <script src="https://cdnjs.cloudflare.com/ajax/libs/flowbite/1.8.1/datepicker.min.js"></script>#}
{##}
{#                <div>#}
{#                    <div inline-datepicker data-date="today"></div>#}
{#                </div>#}
                <div>
                <div class="mb-3 w-32">
                    <label for="participants" class="w-full text-gray-700 text-sm font-semibold">Participants</label>
                    <div class="flex flex-row h-10 w-full rounded-lg relative bg-transparent mt-3">
                        <button data-action="decrement"
                                class=" bg-blue-100 text-blue-700 hover:text-white hover:bg-blue-700 h-full w-24 rounded-3xl cursor-pointer outline-none">
                            <span class="m-auto text-2xl">−</span>
                        </button>
                        <input type="number" value="1"
                               class="outline-none focus:outline-none text-center w-full font-semibold text-md hover:text-black focus:text-black  md:text-basecursor-default flex items-center text-gray-700  outline-none"
                               name="participants">
                        <button data-action="increment"
                                class="bg-blue-100 text-blue-700 hover:text-white hover:bg-blue-700 h-full w-24 rounded-3xl cursor-pointer">
                            <span class="m-auto text-2xl ">+</span>
                        </button>
                    </div>
                 </div>

                    <div>
                        <label class="relative inline-flex items-center cursor-pointer">
                            <input type="checkbox" value="" class="sr-only peer">
                            <div class="w-11 h-6 bg-gray-200 peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-blue-300 dark:peer-focus:ring-blue-800 rounded-full peer dark:bg-gray-700 peer-checked:after:translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:left-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all dark:border-gray-600 peer-checked:bg-blue-600"></div>
                            <span class="ml-3 text-sm font-medium text-gray-900 dark:text-gray-300">Add visit to Saint Basil’s Cathedral</span>
                        </label>
                    </div>

                    <div>
                        <label class="relative inline-flex items-center cursor-pointer">
                            <input type="checkbox" value="" class="sr-only peer">
                            <div class="w-11 h-6 bg-gray-200 peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-blue-300 dark:peer-focus:ring-blue-800 rounded-full peer dark:bg-gray-700 peer-checked:after:translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:left-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all dark:border-gray-600 peer-checked:bg-blue-600"></div>
                            <span class="ml-3 text-sm font-medium text-gray-900 dark:text-gray-300">Add the Kremlin Grounds tour</span>
                        </label>
                    </div>


                    <!--Dynamic form start-->
                    <!-- guide_list.html -->
                    <form type="POST" hx-post="/check_availability/" hx-trigger="keyup" hx-target="#guide-result">
                        {% csrf_token %}
                        {{ form.as_p }}
                    </form>

                    <form type="POST">
                        {% csrf_token %}

                    <div class="form-group">
                        <label for="language-select">Language:</label>
                        <select class="form-control" id="language" >
                            <option>Choose language</option>
                            <option value="English">English</option>
                            <option value="Spanish">Spanish</option>
                            <option value="French">French</option>
                        </select>
                    </div>

                    <!-- Guides names based on selected language -->
                    <div id="guide-result"></div>
                        </form>
                    <script src="https://unpkg.com/htmx.org@1.9.5" integrity="sha384-xcuj3WpfgjlKF+FXhSQFQ0ZNr39ln+hwjN3npfM9VBnUskLolQAcN80McRIVOPuO" crossorigin="anonymous"></script>


<!-- Script to handle the dynamic behavior -->

                    <!--Dynamic form end-->




                    </div>
            </div>

<script>
  function decrement(e) {
    const btn = e.target.parentNode.parentElement.querySelector(
      'button[data-action="decrement"]'
    );
    const target = btn.nextElementSibling;
    let value = Number(target.value);
    if (value > 1) {
      value--;
      target.value = value;
    }
  }

  function increment(e) {
    const btn = e.target.parentNode.parentElement.querySelector(
      'button[data-action="decrement"]'
    );
    const target = btn.nextElementSibling;
    let value = Number(target.value);
    value++;
    target.value = value;
  }

  const decrementButtons = document.querySelectorAll(
    `button[data-action="decrement"]`
  );

  const incrementButtons = document.querySelectorAll(
    `button[data-action="increment"]`
  );

  decrementButtons.forEach(btn => {
    btn.addEventListener("click", decrement);
  });

  incrementButtons.forEach(btn => {
    btn.addEventListener("click", increment);
  });
</script>









            <div class="mx-4 my-8">

                <h3 class="text-lg md:text-3xl mb-6 -ml-4 font-bold">Tour Itinerary</h3>

                <ol class="relative border-l border-gray-200">

                    {% for point in itinerary %}
                        <li class="mb-10 ml-6">
        <span class="absolute flex items-center justify-center w-8 h-8 bg-blue-100 rounded-full -left-4 ring-8 ring-white ">
        <svg class="w-4 h-4 text-blue-800" aria-hidden="true" xmlns="http://www.w3.org/2000/svg"
             fill="none" viewBox="0 0 16 12">
            <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="3"
                  d="M1 5.917 5.724 10.5 15 1.5"/>
        </svg></span>
                            <h3 class="flex items-center mb-1 text-lg font-semibold text-gray-900 ">{{ point.title|safe }}</h3>
                            <p class="mb-2 text-base font-normal text-gray-500 ">{{ point.content|safe }}</p>
                        </li>
                    {% endfor %}
                </ol>
                <div class="flex items-center justify-center">
                    <a href="#booking"
                       class=" rounded-lg px-10 py-3 text-center text-lg font-medium text-white  bg-blue-700 hover:bg-blue-800 focus:ring-blue-300 focus:ring-4">
                        {% translate 'Book now' %}
                    </a>
                </div>
            </div>
        </div>

    </section>

{% endblock %}

